Install error 1920 about winsxs merge modules

togikan

New Member
Hi all,

When I try to insltall my msi package I get an error only in vista and 7. "Error 1920. Service ... (...) failed to start. Veryfy that you have sufficent privileges to start system services"
http://img214.imageshack.us/img214/8...setuperror.jpg

I get this error in vista or 7 if I build my setup with C++ 9 CRT Winsxs MSM merge module
http://img808.imageshack.us/img808/3439/vc9.jpg

If I use C and C++ 7 runtime libraries it doesn't problem
http://img97.imageshack.us/img97/1459/vc7ler.jpg
but with this I must build my exe with old versions of Ms Visual Studio.

Does anyone have idea how can I cope with that?
 

My Computer

Top